## glance 11.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6

# < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
SQLAlchemy<1.1.0,>=0.9.9
anyjson>=0.3.3
eventlet>=0.17.4
PasteDeploy>=1.5.0
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
Routes!=2.0,>=1.12.3;python_version!='2.7'
WebOb>=1.2.3
sqlalchemy-migrate>=0.9.6
httplib2>=0.7.5
pycrypto>=2.6
iso8601>=0.1.9
oslo.config>=2.3.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
futurist>=0.1.2 # Apache-2.0
taskflow>=1.16.0
keystonemiddleware>=2.0.0
WSME>=0.7

# For paste.util.template used in keystone.common.template
Paste

jsonschema!=2.5.0,<3.0.0,>=2.0.0
python-keystoneclient>=1.6.0
pyOpenSSL>=0.14
# Required by openstack.common libraries
six>=1.9.0

oslo.db>=2.4.1 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
oslo.middleware>=2.8.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0

retrying!=1.3.0,>=1.2.3 # Apache-2.0
osprofiler>=0.3.0 # Apache-2.0

# Glance Store
glance-store!=0.9.0,>=0.7.1 # Apache-2.0


# Artifact repository
semantic-version>=2.3.1

castellan>=0.2.0 # Apache-2.0
cryptography>=1.0 # Apache-2.0
