## glance 0.1.3pre~bzr39

=== debian/changelog ===
glance (0.1.3pre~bzr39-0ubuntu1) natty; urgency=low

  * Initial upload.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 19 Jan 2011 12:01:32 +0100
