## glance 11.0.0

=== debian/changelog ===
glance (2:11.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 12:42:51 -0400

glance (2:11.0.0~rc3-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.
  * d/control: Align dependencies with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Oct 2015 10:28:55 -0400

glance (2:11.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.
  * d/p/skip-online-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Oct 2015 12:17:22 -0400

glance (2:11.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update to cope with upstream rc versioning.
  * New upstream release candidate for OpenStack Liberty.
  * d/rules: Drop removal of .eggs directory in override_dh_auto_clean.
  * d/control: Bump minimum pbr version to 1.8.
  * d/control: Align dependencies with upstream.
  * d/sql_conn.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Sep 2015 15:16:19 -0400

glance (2:11.0.0~b3-0ubuntu2) wily; urgency=medium

  * d/glance-common.install: Drop install of glance-index and glance-search,
    no longer provided.
  * d/glance-api.install: Generalize metadef install, use installed sources.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Sep 2015 12:01:10 +0100

glance (2:11.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/skip-glance-search-tests.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 15:51:40 -0400

glance (2:11.0.0~b2-0ubuntu2) wily; urgency=medium

  [ Gauvain Pocentek ]
  * d/glance-api.install: install the metadata definitions (LP: #1477170).
  * d/glance-api.postinst: run "glance-manage db_load_metadefs" if the
    default sqlite database is configured.

  [ James Page ]
  * d/glance-common.install: Install glance-manage.conf configuration file
    (LP: #1436953).
  * d/*: wrap-and-sort.

 -- Gauvain Pocentek <gauvain.pocentek@objectif-libre.com>  Wed, 02 Sep 2015 11:58:15 +0100

glance (2:11.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty (LP: #1488094).
  * d/control: Align (build-)depends with upstream.
  * d/p/fix-dupe-uc-sqlite.patch: Dropped. Fixed upstream.
  * d/p/skip-glance-search-tests.patch: Rebased.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Sep 2015 11:04:16 +0100

glance (2:11.0.0~b1-0ubuntu3) wily; urgency=medium

  * d/p/fix-dupe-uc-sqlite.patch: Cherry pick fix from upstream VCS to
    resolve compatilibity with SQLAlchemy >= 1.0.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 10:50:51 +0100

glance (2:11.0.0~b1-0ubuntu2) wily; urgency=medium

  * d/p/skip-online-tests.patch: Skip any tests that require access to
    online resources not accessible in Ubuntu buildds.

 -- James Page <james.page@ubuntu.com>  Wed, 08 Jul 2015 22:26:59 +0100

glance (2:11.0.0~b1-0ubuntu1) wily; urgency=medium

  * New milestone for OpenStack liberty.
  * Align (Build-)Depends with upstream.
  * d/p/skip-glance-search-tests.patch: Skip glance search tests if
    elasticsearch is not installed.

 -- James Page <james.page@ubuntu.com>  Tue, 30 Jun 2015 14:47:37 +0100

glance (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Apr 2015 15:38:08 +0200

glance (1:2015.1~rc1-0ubuntu2) vivid; urgency=medium

  * New upstream milesone release: 
    - d/control: Align versions with upstream.
    - d/p/*: Refresh.
    - d/g/glance-common.install: Add glance-index and glance-search
      binaries.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Apr 2015 13:54:35 -0400

glance (1:2015.1~b3-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release for OpenStack Kilo:
    - d/p/*: Refresh.
    - d/control: Align versions with upstream.
    - d/control: Add new dependencies on oslo-log, oslo-policy, taskflow,
      semantic-version, drop dependency on boto.
    - d/p/skip-online-tests.patch: Add some new tests that require online
      connectivity.
    - d/p/fixup-requirements.patch: Fixup broken upper version definition
      for oslo-policy.
  * d/rules: Trim back tests to just unit tests (skipping functional and
    integration for now).
  * d/pydist-overrides: Add overrides for oslo packages.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:09:56 +0100

glance (1:2015.1~b2-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
    - d/control: Align with upstream dependencies.
    - d/p/fix-requirements.patch: Rebased.
    - d/p/skip-online-tests.patch: Rebased.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Feb 2015 09:13:34 -0500

glance (1:2015.1~b1-0ubuntu3) vivid; urgency=medium

  * Rebuild to pick up pkgos upstart generation fix.
    - d/control: Bump openstack-pkg-tools to ensure upstart fix inclusion.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jan 2015 16:22:48 +0000

glance (1:2015.1~b1-0ubuntu2) vivid; urgency=medium

  [ Corey Bryant ]
  * Systemd enablement:
    - d/control: Add dh-systemd and openstack-pkg-tools to BD's.
    - d/rules: Enable use of pkgos, tidyup generated init files.
    - d/*.init.in: Cherry pick *.init files from Debian glance package
      and adapt to templates.
    - d/*.upstart: Drop in preference to generated files.
  * d/control,compat: Bump debhelper compat level to 9.
  * d/*.logrotate,glance-common.logrotate: Move to single logrotate
    configuration.
  * d/glance-common.postinst: Use default permissions for /etc/glance.
  * d/python-glance-doc.links: Change permissions to 664.

  [ James Page ]
  * d/*: Fixup incorrect permissions on files.


