## glance 11.0.1

=== requirements.txt ===
--- 
+++ 
@@ -20,18 +20,18 @@
 oslo.concurrency>=2.3.0 # Apache-2.0
 oslo.context>=0.2.0 # Apache-2.0
 oslo.service>=0.7.0 # Apache-2.0
-oslo.utils>=2.0.0 # Apache-2.0
+oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
 stevedore>=1.5.0 # Apache-2.0
 futurist>=0.1.2 # Apache-2.0
 taskflow>=1.16.0
-keystonemiddleware>=2.0.0
+keystonemiddleware!=2.4.0,>=2.0.0
 WSME>=0.7
 
 # For paste.util.template used in keystone.common.template
 Paste
 
 jsonschema!=2.5.0,<3.0.0,>=2.0.0
-python-keystoneclient>=1.6.0
+python-keystoneclient!=1.8.0,>=1.6.0
 pyOpenSSL>=0.14
 # Required by openstack.common libraries
 six>=1.9.0
@@ -39,7 +39,7 @@
 oslo.db>=2.4.1 # Apache-2.0
 oslo.i18n>=1.5.0 # Apache-2.0
 oslo.log>=1.8.0 # Apache-2.0
-oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
+oslo.messaging!=1.17.0,!=1.17.1,!=2.6.0,!=2.6.1,!=2.7.0,!=2.8.0,!=2.8.1,!=2.9.0,!=3.1.0,>=1.16.0 # Apache-2.0
 oslo.middleware>=2.8.0 # Apache-2.0
 oslo.policy>=0.5.0 # Apache-2.0
 oslo.serialization>=1.4.0 # Apache-2.0
