=== debian/changelog ===
glance (2:11.0.1-0ubuntu1) wily; urgency=medium

  [ Corey Bryant ]
  * d/tests/glance-daemons: Give daemon 5 seconds to start to prevent race.

  [ James Page ]
  * New upstream point release for OpenStack Liberty (LP: #1530913).

 -- James Page <james.page@ubuntu.com>  Thu, 07 Jan 2016 11:59:49 +0000
