=== debian/changelog ===
glance (2:12.0.0-0ubuntu2) xenial; urgency=medium

  *  debian/patches/add-root-tar-support.patch: Add support for 
     root-tar images for backwards compatiblity for nova-lxd 
     (LP: #1569289).

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 13 Apr 2016 10:13:40 -0400

glance (2:12.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 12:07:24 -0400

glance (2:12.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 08:08:03 -0400

glance (2:12.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinx-git.patch, d/control: Drop use of git from sphinx config.
  * d/p/skip-test.patch: Skip failing test with upstream bug.
  * d/control, d/glance-glare.*: Add install/init files for glance artifacts api.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Mar 2016 10:39:49 -0500

glance (2:12.0.0~b2-0ubuntu1) xenial; urgency=medium

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/skip-online-tests.patch: Rebased.

  [ Corey Bryant ]
  * d/control: Set min version of python-glance-store 0.10.0 to fix tests.
  * d/control: Add git dependency to build-depends for sphinx-build.
  * d/glance-common.install: Drop install of usr/bin/glance-artifacts as
    entry point no longer exists in glance.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 29 Jan 2016 11:43:25 +0100

glance (2:12.0.0~b1-0ubuntu1) xenial; urgency=medium

  * d/tests/glance-daemons: Give daemon 5 seconds to start to prevent race.
  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/skip-online-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Dec 2015 14:01:11 -0500
