=== debian/control ===
--- 
+++ 
@@ -10,59 +10,64 @@
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: python-anyjson (>= 0.3.3),
+Build-Depends-Indep: bandit,
                      python-babel (>= 1.3),
                      python-castellan,
                      python-coverage (>= 3.6),
                      python-crypto (>= 2.6),
                      python-cryptography (>= 1.0),
-                     python-eventlet (>= 0.17.4),
+                     python-debtcollector (>= 1.2.0),
+                     python-eventlet (>= 0.18.2),
                      python-fixtures (>= 1.3.1),
-                     python-futurist,
-                     python-glance-store (>= 0.7.1),
+                     python-futurist (>= 0.11.0),
+                     python-glance-store (>= 0.13.0),
                      python-hacking,
                      python-httplib2 (>= 0.7.5),
                      python-iso8601 (>= 0.1.9),
                      python-jsonschema (>= 2.0.0),
+                     python-keystoneauth1 (>= 2.1.0),
                      python-keystoneclient (>= 1:1.6.0),
-                     python-keystonemiddleware (>= 2.0.0),
+                     python-keystonemiddleware (>= 4.0.0),
                      python-migrate (>= 0.9.6),
                      python-mock (>= 1.2),
+                     python-monotonic,
                      python-mox3 (>= 0.7.0),
                      python-openssl (>= 0.14),
-                     python-oslo.concurrency (>= 2.3.0),
-                     python-oslo.config (>= 1:2.3.0),
+                     python-oslo.concurrency (>= 3.5.0),
+                     python-oslo.config (>= 1:3.7.0),
                      python-oslo.context (>= 0.2.0),
-                     python-oslo.db (>= 2.4.1),
-                     python-oslo.i18n (>= 1.5.0),
-                     python-oslo.log (>= 1.8.0),
-                     python-oslo.messaging (>= 1.16.0),
-                     python-oslo.middleware (>= 2.8.0),
+                     python-oslo.db (>= 4.1.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.log (>= 1.14.0),
+                     python-oslo.messaging (>= 4.0.0),
+                     python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 0.5.0),
-                     python-oslo.serialization (>= 1.4.0),
-                     python-oslo.service (>= 0.7.0),
-                     python-oslo.utils (>= 2.0.0),
+                     python-oslo.serialization (>= 1.10.0),
+                     python-oslo.service (>= 1.0.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
-                     python-osprofiler (>= 0.3.0),
+                     python-osprofiler (>= 1.1.0),
                      python-paste,
                      python-pastedeploy (>= 1.5.0),
+                     python-prettytable (>= 0.7),
                      python-psutil (>= 1.1.1),
                      python-psycopg2 (>= 2.5),
                      python-pymysql,
-                     python-requests (>= 2.5.2),
+                     python-requests (>= 2.8.1),
                      python-retrying (>= 1.2.3),
                      python-routes (>= 1.12.3),
                      python-semantic-version (>= 2.3.1),
                      python-six (>= 1.9.0),
-                     python-sqlalchemy (>= 0.9.9),
+                     python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.5.0),
-                     python-taskflow (>= 1.16.0),
+                     python-swiftclient (>= 2.2.0),
+                     python-taskflow (>= 1.26.0),
                      python-testresources (>= 0.2.4),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python-webob (>= 1.2.3),
-                     python-wsme (>= 0.7),
+                     python-wsme (>= 0.8),
                      python-xattr (>= 0.4),
                      subunit,
                      testrepository (>= 0.0.18),
@@ -76,44 +81,47 @@
 Package: python-glance
 Architecture: all
 Section: python
-Depends: python-anyjson (>= 0.3.3),
-         python-castellan,
+Depends: python-castellan,
          python-crypto (>= 2.6),
          python-cryptography (>= 1.0),
-         python-eventlet (>= 0.17.4),
-         python-futurist,
-         python-glance-store (>= 0.7.1),
+         python-debtcollector (>= 1.2.0),
+         python-eventlet (>= 0.18.2),
+         python-futurist (>= 0.11.0),
+         python-glance-store (>= 0.13.0),
          python-httplib2 (>= 0.7.5),
          python-iso8601 (>= 0.1.9),
          python-jsonschema (>= 2.0.0),
+         python-keystoneauth1 (>= 2.1.0),
          python-keystoneclient (>= 1:1.6.0),
-         python-keystonemiddleware (>= 2.0.0),
+         python-keystonemiddleware (>= 4.0.0),
          python-migrate (>= 0.9.6),
+         python-monotonic,
          python-openssl (>= 0.14),
-         python-oslo.concurrency (>= 2.3.0),
-         python-oslo.config (>= 1:2.3.0),
+         python-oslo.concurrency (>= 3.5.0),
+         python-oslo.config (>= 1:3.7.0),
          python-oslo.context (>= 0.2.0),
-         python-oslo.db (>= 2.4.1),
-         python-oslo.i18n (>= 1.5.0),
-         python-oslo.log (>= 1.8.0),
-         python-oslo.messaging (>= 1.16.0),
-         python-oslo.middleware (>= 2.8.0),
+         python-oslo.db (>= 4.1.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.log (>= 1.14.0),
+         python-oslo.messaging (>= 4.0.0),
+         python-oslo.middleware (>= 3.0.0),
          python-oslo.policy (>= 0.5.0),
-         python-oslo.serialization (>= 1.4.0),
-         python-oslo.service (>= 0.7.0),
-         python-oslo.utils (>= 2.0.0),
-         python-osprofiler (>= 0.3.0),
+         python-oslo.serialization (>= 1.10.0),
+         python-oslo.service (>= 1.0.0),
+         python-oslo.utils (>= 3.5.0),
+         python-osprofiler (>= 1.1.0),
          python-paste,
          python-pastedeploy (>= 1.5.0),
+         python-prettytable (>= 0.7),
          python-retrying (>= 1.2.3),
          python-routes (>= 1.12.3),
          python-semantic-version (>= 2.3.1),
          python-six (>= 1.9.0),
-         python-sqlalchemy (>= 0.9.9),
+         python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.5.0),
-         python-taskflow (>= 1.16.0),
+         python-taskflow (>= 1.26.0),
          python-webob (>= 1.2.3),
-         python-wsme (>= 0.7),
+         python-wsme (>= 0.8),
          ${misc:Depends},
          ${python:Depends},
 Provides: ${python:Provides},
@@ -203,3 +211,17 @@
  OpenStack's Swift service, to Nova's compute nodes.
  .
  This package contains the glance registry server.
+
+Package: glance-glare
+Architecture: all
+Section: python
+Depends: glance-common (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends},
+Description: OpenStack Image Registry and Delivery Service - Artifacts API
+ The Glance project provides an image registration, discovery and
+ delivery service. These services may be used as stand-along services, and
+ they may also be used by Nova to deliver images from object stores, such as
+ OpenStack's Swift service, to Nova's compute nodes.
+ .
+ This package contains the glance artifacts repository API server.
